#pragma once
#include "Entity.h"
#include "EntityStateSplash.h"
#define CS_PRESS_CREATENAME L"CS_press"
//突压
class CS_Press :
    public Entity
{
public:
    CS_Press();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    EntityStateSplash stateSplash;
    int act_no = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_Press();